cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marcel Kinard <cmarc...@gmail.com>
Subject Re: [Vote] Tools Release 3.6.3-0.2.12
Date Wed, 17 Sep 2014 18:19:11 GMT
For the most part, I like this idea. It definitely is an improvement.

Since there isn't significant usage of cordova-lib and cordova-plugman outside of cordova-cli,
then there isn't benefit to shrinkwrapping cordova-lib and cordova-plugman themselves. The
cordova-cli is what people do an "npm install" on, and the cli shrinkwrap will include the
whole tree of dependencies, including lib and plugman.

The part that isn't ideal is still needing to npm publish cordova-js and cordova-lib before
creating the rc of cordova-cli for dist-dev.

On Sep 17, 2014, at 1:02 PM, Carlos Santana <csantana23@gmail.com> wrote:

> My recommendation would be only do shrinkwrap for cordova-cli, and publish
> cordova-lib and cordova-js first, then create npm shrinkwrap for
> cordova-cli and publish
> 
> 1. npm publish cordova-js version rc:3.6.4 (no shrinkwrap)
> 2. update cordova-lib to depend on cordova-js@3.6.4 && npm publish
> cordova-lib with rc:3.6.4 (no shrinkwrap)
> 3. cd cordova-cli/ && update dependency for cordova-lib@3.6.4 && rm -rf
> node_modules && npm install && npm shrinkwrap && npm publish
cordova as
> rc:3.6.4-0.2.13
> 4. vote on rc
> 5. if voting pass move all to latest:3.6.4
> 
> If this is incorrect then I missed something on the problem you are facing.


Mime
View raw message